<script src="{{ asset('backend/') }}/assets/vendor/bootstrap.bundle.min.js"></script>
<script src="{{ asset('backend/') }}/assets/vendor/jquery.easing.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/bootstrap4-toggle.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/admin-2.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/Chart.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/chart-area-demo.js"></script>
<script src="{{ asset('backend/') }}/assets/js/chart-pie-demo.js"></script>
<script src="{{ asset('backend/') }}/assets/js/jquery.dataTables.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/dataTables.bootstrap4.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/datatables-demo.js"></script>
<script src="{{ asset('backend/') }}/assets/js/jquery.PrintArea.js"></script>
<script src="{{ asset('backend/') }}/assets/js/select2.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/toastr.min.js"></script>
<script src="{{ asset('backend/') }}/assets/tags/jquery.amsify.suggestags.js"></script>

<!-- <script src="assets/js/summernote-bs4.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.20/summernote-bs4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/jquery.timepicker.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/fontawesome-iconpicker.min.js"></script>
<script src="{{ asset('backend/') }}/assets/js/font-awesome_5.15.3_js_all.min.js"></script>


<script>
    @if (Session::has('messege'))
        var type = "{{ Session::get('alert-type', 'info') }}"
        switch (type) {
            case 'info':
                toastr.info("{{ Session::get('messege') }}");
                break;
            case 'success':
                toastr.success("{{ Session::get('messege') }}");
                break;
            case 'warning':
                toastr.warning("{{ Session::get('messege') }}");
                break;
            case 'error':
                toastr.error("{{ Session::get('messege') }}");
                break;
        }
    @endif
</script>



<script type="text/javascript">
    (function($) {
        "use strict";
        $(document).ready(function() {
            $(".summernote").summernote({
                minHeight: 300,
                maxHeight: 600,
                // Other options...
            });
            $(".select2").select2();
            //   check home section value
            $("#section_type").on("change", function() {
                var id = $(this).val();
                if (id == 1) $("#section-details").addClass("d-none");
                else $("#section-details").removeClass("d-none");
            });
        });
    })(jQuery);

    function printPrescribe() {
        var mode = "iframe";
        var close = mode == "popup";
        var options = {
            mode: mode,
            popClose: close,
        };
        $("div.prescribe").printArea(options);
    }

    function printReport() {
        var mode = "iframe";
        var close = mode == "popup";
        var options = {
            mode: mode,
            popClose: close,
        };
        $("div.printArea").printArea(options);
    }
</script>

<script>
    $.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});
</script>
<script>
    document.addEventListener("DOMContentLoaded", function() {
      const forms = document.querySelectorAll('.needs-validation');
      Array.prototype.slice.call(forms).forEach((form) => {
        form.addEventListener('submit', (event) => {
          if (!form.checkValidity()) {
            event.preventDefault();
            event.stopPropagation();
          }
          form.classList.add('was-validated');
        }, false);
      });
    });
    </script>

<script>
    $(document).on("click", "#delete", function(e) {
        e.preventDefault();
        var link = $(this).attr("href");
        swal({
                title: "Are you Want to delete?",
                text: "Once Delete, This will be Permanently Delete!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            })
            .then((willDelete) => {
                if (willDelete) {
                    window.location.href = link;
                } else {
                    swal("Safe Data!");
                }
            });
    });
</script>
<script>
    function changeStatus(e)
    {
        // console.log(e.href);
        location.href=e.href;
    }
    $('document').ready(function() {
        $('textarea').each(function() {
            $(this).val($(this).val().trim());
        });
    });
</script>
{!! Toastr::message() !!}
